import request from '@/utils/request'

//列表
export function studyFormPlan_list(query) {
  return request({
    url: '/system/business/studyFormPlan/list',
    method: 'get',
    params: query
  })
}
//稽查轨迹
export function studyFormPlan_jcgj(query) {
  return request({
    url: '/system/business/studyFormPlan/jcgjList',
    method: 'get',
    params: query
  })
}
//签名信息
export function studyFormPlan_qmxx(query) {
  return request({
    url: '/system/business/studyFormPlan/qmxxList',
    method: 'get',
    params: query
  })
}

//详情
export function studyFormPlan_info(query) {
  return request({
    url: '/system/business/studyFormPlan/info',
    method: 'get',
    params: query
  })
}
//导出
export function studyFormPlan_exportDetail(query) {
  return request({
    url: '/system/business/studyFormPlan/exportDetail',
    method: 'get',
    params: query
  })
}


//更换归属人
export function studyFormPlan_ghgsr(data) {
  return request({
    url: '/system/business/studyFormPlan/ghgsr',
    method: 'post',
    data: data
  })
}

//保存
export function studyFormPlan_bc(data) {
  return request({
    url: '/system/business/studyFormPlan/bc',
    method: 'post',
    data: data
  })
}

//仅保存
export function studyFormPlan_bcOnly(data) {
  return request({
    url: '/system/business/studyFormPlan/bcOnly',
    method: 'post',
    data: data
  })
}
//提交
export function studyFormPlan_tj(data) {
  return request({
    url: '/system/business/studyFormPlan/tj',
    method: 'post',
    data: data
  })
}



//复核通过
export function studyFormPlan_fhtg(data) {
  return request({
    url: '/system/business/studyFormPlan/fhtg',
    method: 'post',
    data: data
  })
}

//复核拒绝
export function studyFormPlan_fhjj(data) {
  return request({
    url: '/system/business/studyFormPlan/fhjj',
    method: 'post',
    data: data
  })
}

//审阅
export function studyFormPlan_sy(data) {
  return request({
    url: '/system/business/studyFormPlan/sy',
    method: 'post',
    data: data
  })
}


//保存字段勾选记录
export function studyFormPlan_updateZdgxjl(data) {
  return request({
    url: '/system/business/studyFormPlan/updateZdgxjl',
    method: 'post',
    data: data
  })
}

//保存复核意见
export function studyFormPlan_updateFhyjjl(data) {
  return request({
    url: '/system/business/studyFormPlan/updateFhyjjl',
    method: 'post',
    data: data
  })
}

//保存表单内容
export function studyFormPlan_updateBdnr(data) {
  return request({
    url: '/system/business/studyFormPlan/updateBdnr',
    method: 'post',
    data: data
  })
}